<?php // Do not delete these lines
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'movie'); ?></p> 
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
	<h3 id="comments"><?php comments_number('No Comments', 'One Comment', '% Comments');?></h3>
    
    <!-- comments START -->
    <div id="commentlist">
		<?php foreach ($comments as $comment) : ?>
        <div class="comment <?php if($comment->comment_author_email == get_the_author_email()) {echo 'admincomment';} else {echo 'regularcomment';} ?>" id="comment-<?php comment_ID() ?>">
            <div class="author">
                <p><?php comment_author_link();?>:</p>
            </div>    
            <div class="content">
                <?php if ($comment->comment_approved == '0') : ?>
                    <p><em>Your comment is awaiting moderation.</em></p>
                <?php endif; ?>

                <?php comment_text() ?>
            </div>
            <div class="clear"></div>
        </div>
        <div class="line"></div>
        <?php endforeach; ?>
    </div>
    <!-- comments END -->

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Comments are closed.', 'movie'); ?></p>

	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<h3><?php comment_form_title( 'Leave a Reply', 'Leave a Reply for %s' ); ?>:</h3>

<div id="cancel-comment-reply"> 
	<small><?php cancel_comment_reply_link() ?></small>
</div> 

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'movie'), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink())); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.', 'movie'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account', 'movie'); ?>"><?php _e('Log out &raquo;', 'movie'); ?></a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="your name (required)" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?>  onBlur="if(this.value=='') this.value='your name (required)';" onFocus="if(this.value=='your name (required)') this.value='';" />
</p>

<p><input type="text" name="email" id="email" value="email (will not be published; required)" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?>  onBlur="if(this.value=='') this.value='email (will not be published; required)';" onFocus="if(this.value=='email (will not be published; required)') this.value='';" />
</p>

<p><input type="text" name="url" id="url" value="website" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?>  onBlur="if(this.value=='') this.value='website';" onFocus="if(this.value=='website') this.value='';" />
</p>

<?php endif; ?>

<!--<p><small><?php printf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>', 'movie'), allowed_tags()); ?></small></p>-->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value=" " />
<?php comment_id_fields(); ?> 
</p>

<?php if(function_exists('twit_connect')){twit_connect();} ?> 
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
