<?php get_header(); ?>
	<!-- begin featured -->   
    <div id="featured"><!--<div style=" width:300px; height:300px; background-color:#0FC; z-index:99; position:absolute;"></div>-->
        <div id="slider">
        	<div class="scrollleft"><img class="left" src="<?php bloginfo('template_directory');?>/images/scroll_left.png" /></div>
            <div class="scrollborder">
            <div class="scroll">
                <div class="scrollContainer">
					<?php
					add_filter('posts_fields', 'featured_fields');
					add_filter('posts_join', 'featured_join');
					add_filter('posts_where', 'featured_where_featured');
                    $featuredPosts = new WP_Query();
                    $featuredPosts->query('showposts=10');
					while ($featuredPosts->have_posts()) : $featuredPosts->the_post();
                    ?>
                	<!--one panel begin-->
					<div class="panel" id="post-featured-<?php the_ID(); ?>">
                    	<div class="fimg" style="background: url(<?php bloginfo('url'); ?>/<?php echo get_post_meta(get_the_ID(), '_featured_prcture_small',true)?>) 50% 50% no-repeat;background-color:#fff;">
                        	<div class="scrollwatchbtn"><a href="<?php the_permalink() ?>"></a></div>
                        </div>
                        <div class="scrollborder_b"></div>
                        <div class="info">
                            <div class="title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></div>
                            <div class="ratiing">
                                <div class="item"><?php if(function_exists('movie_ratings')){ movie_ratings('div',get_the_ID());} ?></div>
                            </div>
                            <div class="comment"><?php comments_number('0', '1', '%'); ?></div>
                            <div class="clear"></div>
                            <div class="content"><?php the_excerpt(); ?></div>
                        </div>						
                    </div>
					<!--one panel end-->
                    <?php
					endwhile;
					remove_filter('posts_where', 'featured_where_featured');
					?>
                </div>
            </div>
            </div>
            <div class="scrollright"><img class="right" src="<?php bloginfo('template_directory');?>/images/scroll_right.png" /></div>
        </div>
    </div>
    <!-- end featured -->  


    
    <div class="line"></div>

    <div id="home_list">
		<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post();update_post_caches($posts); ?>
    	<div class="item">
        	<div class="title"><a href="<?php the_permalink() ?>" title="<?php the_title_attribute('');?>"><?php the_title('');?></a></div>
            <div class="meta">posted on <span class="orange"><?php the_time('d-m-y') ?></span> by <span class="orange"><?php the_author();?></span></div>
            <div class="screenshot" style="background:url(<?php bloginfo('url'); ?>/<?php echo get_post_meta(get_the_ID(), '_video_thumbnail_small',true)?>) 50% 50% no-repeat;"><a href="<?php the_permalink() ?>"></a></div>
            <div class="rating"><?php if(function_exists('movie_ratings')){ movie_ratings('div',get_the_ID(),true,false);} ?></div><div class="comment"><?php comments_number('0', '1', '%'); ?></div>
            <div class="clear"></div>
        </div>
        <?php endwhile; ?>
        <?php else : ?>
        		<h2 class="center">Not Found</h2>
		<?php endif; ?>
    </div>
    
    <div class="clear"></div>
    
	<?php if(function_exists('wp_pagenavi')){ wp_pagenavi(); } else { ?>	
        please install wp_pagenavi.
    <?php } ?>
    
    <div class="line"></div>
    
    <div class="sidebar">
    	<?php dynamic_sidebar('sidebar');?>
    </div>
    
    <div class="line"></div>
<?php get_footer(); ?>
