<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>


<head profile="http://gmpg.org/xfn/11">


<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />


<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>


<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />


<link rel="alternate" type="application/rss+xml" title="<?php printf(__('%s RSS Feed', 'kubrick'), get_bloginfo('name')); ?>" href="<?php bloginfo('rss2_url'); ?>" />


<link rel="alternate" type="application/atom+xml" title="<?php printf(__('%s Atom Feed', 'kubrick'), get_bloginfo('name')); ?>" href="<?php bloginfo('atom_url'); ?>" /> 


<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />


<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> 


<!--<script type="text/javascript" src="<?php bloginfo('url');?>/wp-includes/js/jquery/jquery.js?ver=1.2.6"></script>-->


<script type="text/javascript">


function doClear(theText) {


 if (theText.value == theText.defaultValue) {


	 theText.value = ""


 }


}


</script>


<?php wp_head(); ?>





<script src="<?php bloginfo('stylesheet_directory'); ?>/scripts/jquery.js" type="text/javascript"></script>


<?php if(is_home()){?>


<!-- begin content slider -->


<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/coda-slider.css" type="text/css" media="screen" title="no title" charset="utf-8" />


<script src="<?php bloginfo('stylesheet_directory'); ?>/scripts/jquery.scrollto.js" type="text/javascript"></script>


<script src="<?php bloginfo('stylesheet_directory'); ?>/scripts/jquery.localscroll.js" type="text/javascript" charset="utf-8"></script>


<script src="<?php bloginfo('stylesheet_directory'); ?>/scripts/jquery.serialscroll.js" type="text/javascript" charset="utf-8"></script>


<script src="<?php bloginfo('stylesheet_directory'); ?>/scripts/coda.slider.js" type="text/javascript" charset="utf-8"></script> 


<!-- end content slider --> 


<?php }?>








</head>


<body>   


    


<div id="header">


	<div id="header-main">


    	<div class="blogname">


        <a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.gif" alt="<?php bloginfo('name'); ?>" /></a></span>


        </div>


        <div class="sub-description"><?php bloginfo('description'); ?></div>


		<div class="head-rss">subscribe now <a title="Subscribe to this blog..." href="<?php echo get_bloginfo('rss2_url'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/rss.gif" alt="rss" /></a><br /><small>New Movies daily!</small></div>


    </div>


</div>


<div id="page">





	<?php if(is_home()){?>


    <!-- begin featured -->


    <div id="featured">


        <div id="slider">


            <div class="scroll">


                <div class="scrollContainer">


					<?php


					add_filter('posts_fields', 'featured_fields');


					add_filter('posts_join', 'featured_join');


					add_filter('posts_where', 'featured_where_featured');


                    $featuredPosts = new WP_Query();


                    $featuredPosts->query('showposts=5');


					while ($featuredPosts->have_posts()) : $featuredPosts->the_post();


                    ?>


                    <div class="panel" id="post-featured-<?php the_ID(); ?>" style="background: url(<?php bloginfo('url'); ?>/<?php echo get_post_meta(get_the_ID(), '_video_thumbnail',true)?>) top left no-repeat;background-color:#000;">


                        <div class="in-panel">


                        	<div class="scrollButtons-left"><img class="left" src="<?php bloginfo('stylesheet_directory'); ?>/images/scroll_left.png" /></div>


                            <div class="insert">


                            	<div class="part1">


                                    <div class="in-insert">


                                    <h2><a href="<?php the_permalink() ?>" title="<?php the_title_attribute('echo=1'); ?>"><?php the_title(); ?></a></h2>


                                    <?php //if(function_exists('the_ratings')) { the_ratings(); } ?>


                                    <?php the_excerpt(); ?><br />                                


                                    </div>


                                </div>


                                <a href="<?php the_permalink() ?>" title="<?php the_title_attribute('echo=1'); ?>"><div class="watchnow"></div></a>


                            </div>


                            <div  class="scrollButtons-right"><img class="right" src="<?php bloginfo('stylesheet_directory'); ?>/images/scroll_right.png" /></div>


                        </div>


                    </div>


                    <?php


					endwhile;


					remove_filter('posts_where', 'featured_where_featured');


					?>





                </div>


            </div>


        </div>


    </div>



    <?php }?> 